/*
 * Created on Mar 2, 2006
 *
 * Unpublished Work, Copyright, 2005, 2006 Northrop Grumman
 */
package gov.grants.apply.util;

import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;

/**
 * @author david.wong2@ngc.com, Grants.gov Team 
 *
 * TODO Add description.
 */
public final class ToFileFirstOutputStream extends FileOutputStream
{
   private OutputStream _decorated = null;
   
   public ToFileFirstOutputStream(String file, OutputStream decorated)
      throws FileNotFoundException
   {
      super(file, false);
      _decorated = decorated;
   }
   
   public final void write(byte[] b)
      throws IOException
   {
      super.write(b);
      _decorated.write(b);
   }
   
   public final void write(byte[] b, int off, int len)
      throws IOException
   {
      super.write(b, off, len);
      _decorated.write(b, off, len);
   }
   
   public final void write(int b)
      throws IOException
   {
      super.write(b);
      _decorated.write(b);
   }
}
